services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  T3graf\WstbBase\:
    resource: '../Classes/*'

  #B13\Bolt\Configuration\PackageHelper:
  #  public: true

  #B13\Bolt\TsConfig\Loader:
  #  public: true
  #  tags:
      # TYPO3 v12 and above
   #   - name: event.listener
   #     identifier: 'add-site-configuration'
   #     event: TYPO3\CMS\Core\TypoScript\IncludeTree\Event\ModifyLoadedPageTsConfigEvent
   #     method: 'addSiteConfiguration'

  #B13\Bolt\TypoScript\Loader:
  #  public: true

  #B13\Bolt\TypoScript\AddTypoScriptFromSiteExtensionEvent:
  #  public: true
  #  tags:
  #    - name: event.listener
  #      identifier: 'b13-bolt/add-typoscript-from-site-extension'
        # for v10 compat, optional since v11
  #      event: TYPO3\CMS\Core\TypoScript\IncludeTree\Event\AfterTemplatesHaveBeenDeterminedEvent

  T3graf\WstbBase\EventListener\SitepackageToolbarItem:
    tags:
      - name: event.listener
        identifier: 't3graf/wstb-base/add-version-information'
        event: TYPO3\CMS\Backend\Backend\Event\SystemInformationToolbarCollectorEvent
